std::iterator_traits< const _Tp * > Struct Template Reference
Iterators

## Public Types

typedef ptrdiff_t | difference_type
typedef random_access_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type

## Detailed Description

### template<typename _Tp>
struct std::iterator_traits< const _Tp * >

Partial specialization for const pointer types.

Definition at line 186 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h